/////////////////////////////////////////////////////////////////////////////////////////
//
// Please refer to "COPYRIGHT.md" for the relevant copyright statement of this software.
//
/////////////////////////////////////////////////////////////////////////////////////////
//
#ifndef _GCDB_LAYOUT_MANAGER_REACTOR_H
#define _GCDB_LAYOUT_MANAGER_REACTOR_H

#include "rxobject.h"
#include "dbid.h"
#include "GdGChar.h"
#include "GcDbCore2dDefs.h"
#pragma pack(push, 8)

class GCDB_PORT GcDbLayoutManagerReactor : public GcRxObject
{
public:
  GCRX_DECLARE_MEMBERS(GcDbLayoutManagerReactor);
  virtual ~GcDbLayoutManagerReactor();

  virtual void layoutCreated(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutToBeRemoved(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutRemoved(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void abortLayoutRemoved(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutToBeCopied(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutCopied(const GCHAR*, const GcDbObjectId&, const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void abortLayoutCopied(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutToBeRenamed(const GCHAR*, const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutRenamed(const GCHAR*, const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void abortLayoutRename(const GCHAR*, const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutSwitched(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void plotStyleTableChanged(const GCHAR*, const GcDbObjectId&)
  {
  }
  virtual void layoutsReordered()
  {
  }
  virtual void refreshLayoutTabs()
  {
  }
};

#pragma pack(pop)
#endif